btllib::DataStream Class Reference
Inheritance diagram for btllib::DataStream:

## Public Types

enum | Operation { READ, WRITE, APPEND, CLOSE }

## Public Member Functions

| DataStream (const std::string &path, Operation op)
void | close ()
FILE * | operator* () const
FILE * | operator-> () const
| operator FILE * () const

## Protected Attributes

std::string | streampath
Operation | op
std::string | pipepath
FILE * | file = nullptr
bool | closed = false

The documentation for this class was generated from the following file:

- include/btllib/data_stream.hpp